import { AxElement } from '../../../elements/ax-element';
import { Chart } from './chart';
export declare class ChartFactory {
    chartType: any;
    createChartObject(chart: Chart): Chart;
    createChartObjectByType(selectedChart: AxElement): Chart;
}
